# Interface methods for submodule: VectorGradientMagnitudeImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: VectorGradientMagnitudeImageFilter
class VectorGradientMagnitudeImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def SetUseImageSpacing(self, arg0: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def SetUseImageSpacingOn(self) -> None:
		""""""
		...

	def SetUseImageSpacingOff(self) -> None:
		""""""
		...

	def SetDerivativeWeights(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetDerivativeWeights(self) -> Sequence[float]:
		""""""
		...

	def SetComponentWeights(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetComponentWeights(self) -> Sequence[float]:
		""""""
		...

	def SetUsePrincipleComponents(self, _arg: bool) -> None:
		""""""
		...

	def GetUsePrincipleComponents(self) -> bool:
		""""""
		...

	def UsePrincipleComponentsOn(self) -> None:
		""""""
		...

	def UsePrincipleComponentsOff(self) -> None:
		""""""
		...

	def SetUsePrincipleComponentsOn(self) -> None:
		""""""
		...

	def SetUsePrincipleComponentsOff(self) -> None:
		""""""
		...

	@staticmethod
	def CubicSolver(arg0, arg1) -> int:
		""""""
		...

